aagc.vo

## Class AssistitoGetListaAssistitiMedico

- java.lang.Object
- - aagc.vo.AssistitoGetListaAssistitiMedico

-     public class AssistitoGetListaAssistitiMedico
      extends java.lang.Object

  Dati anagrafici di un assistito presente nell'anagrafe della Regione Puglia.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `codFiscale` Codice fiscale dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codIstatDomicilio` Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `codIstatNascita` Codice ISTAT del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codIstatResidenza` Codice ISTAT del comune di residenza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `codNazionaleUSL` Codice nazionale della ASL di iscrizione dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `cognome` Cognome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `descComuneDomicilio` Denominazione del comune di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `descComuneNascita` Denominazione del comune di nascita dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `descComuneResidenza` Denominazione del comune di residenza dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `indDomicilio` Indirizzo di domicilio dell'assistito, elemento facoltativo.
    `(package private) java.lang.String` | `indResidenza` Indirizzo di residenza, elemento obbligatorio.
    `(package private) java.lang.String` | `nome` Nome dell'assistito, elemento obbligatorio.
    `(package private) java.lang.String` | `sesso` Sesso dell'assistito, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistitoGetListaAssistitiMedico()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()`
    `java.lang.String` | `getCodIstatDomicilio()`
    `java.lang.String` | `getCodIstatNascita()`
    `java.lang.String` | `getCodIstatResidenza()`
    `java.lang.String` | `getCodNazionaleUSL()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getDescComuneDomicilio()`
    `java.lang.String` | `getDescComuneNascita()`
    `java.lang.String` | `getDescComuneResidenza()`
    `java.lang.String` | `getIndDomicilio()`
    `java.lang.String` | `getIndResidenza()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodFiscale(java.lang.String codFiscale)`
    `void` | `setCodIstatDomicilio(java.lang.String codIstatDomicilio)`
    `void` | `setCodIstatNascita(java.lang.String codIstatNascita)`
    `void` | `setCodIstatResidenza(java.lang.String codIstatResidenza)`
    `void` | `setCodNazionaleUSL(java.lang.String codNazionaleUSL)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDescComuneDomicilio(java.lang.String descComuneDomicilio)`
    `void` | `setDescComuneNascita(java.lang.String descComuneNascita)`
    `void` | `setDescComuneResidenza(java.lang.String descComuneResidenza)`
    `void` | `setIndDomicilio(java.lang.String indDomicilio)`
    `void` | `setIndResidenza(java.lang.String indResidenza)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          java.lang.String codFiscale

      Codice fiscale dell'assistito, elemento obbligatorio.

    - #### cognome

          java.lang.String cognome

      Cognome dell'assistito, elemento obbligatorio.

    - #### nome

          java.lang.String nome

      Nome dell'assistito, elemento obbligatorio.

    - #### sesso

          java.lang.String sesso

      Sesso dell'assistito, elemento obbligatorio. I possibili valori sono "M" o "F".

    - #### indResidenza

          java.lang.String indResidenza

      Indirizzo di residenza, elemento obbligatorio.

    - #### codIstatResidenza

          java.lang.String codIstatResidenza

      Codice ISTAT del comune di residenza dell'assistito, elemento obbligatorio.

    - #### descComuneResidenza

          java.lang.String descComuneResidenza

      Denominazione del comune di residenza dell'assistito, elemento obbligatorio.

    - #### indDomicilio

          java.lang.String indDomicilio

      Indirizzo di domicilio dell'assistito, elemento facoltativo.

    - #### codIstatDomicilio

          java.lang.String codIstatDomicilio

      Codice ISTAT del comune di domicilio dell'assistito, elemento facoltativo.

    - #### descComuneDomicilio

          java.lang.String descComuneDomicilio

      Denominazione del comune di domicilio dell'assistito, elemento facoltativo.

    - #### descComuneNascita

          java.lang.String descComuneNascita

      Denominazione del comune di nascita dell'assistito, elemento obbligatorio.

    - #### codIstatNascita

          java.lang.String codIstatNascita

      Codice ISTAT del comune di nascita dell'assistito, elemento obbligatorio.

    - #### codNazionaleUSL

          java.lang.String codNazionaleUSL

      Codice nazionale della ASL di iscrizione dell'assistito, elemento obbligatorio.

    - #### dataNascita

          java.lang.String dataNascita

      Data di nascita dell'assistito, elemento obbligatorio.

  - ### Constructor Detail

    - #### AssistitoGetListaAssistitiMedico

          public AssistitoGetListaAssistitiMedico()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String codFiscale)

    - #### getCodIstatDomicilio

          public java.lang.String getCodIstatDomicilio()

    - #### setCodIstatDomicilio

          public void setCodIstatDomicilio(java.lang.String codIstatDomicilio)

    - #### getCodIstatNascita

          public java.lang.String getCodIstatNascita()

    - #### setCodIstatNascita

          public void setCodIstatNascita(java.lang.String codIstatNascita)

    - #### getCodIstatResidenza

          public java.lang.String getCodIstatResidenza()

    - #### setCodIstatResidenza

          public void setCodIstatResidenza(java.lang.String codIstatResidenza)

    - #### getCodNazionaleUSL

          public java.lang.String getCodNazionaleUSL()

    - #### setCodNazionaleUSL

          public void setCodNazionaleUSL(java.lang.String codNazionaleUSL)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getDescComuneDomicilio

          public java.lang.String getDescComuneDomicilio()

    - #### setDescComuneDomicilio

          public void setDescComuneDomicilio(java.lang.String descComuneDomicilio)

    - #### getDescComuneNascita

          public java.lang.String getDescComuneNascita()

    - #### setDescComuneNascita

          public void setDescComuneNascita(java.lang.String descComuneNascita)

    - #### getDescComuneResidenza

          public java.lang.String getDescComuneResidenza()

    - #### setDescComuneResidenza

          public void setDescComuneResidenza(java.lang.String descComuneResidenza)

    - #### getIndDomicilio

          public java.lang.String getIndDomicilio()

    - #### setIndDomicilio

          public void setIndDomicilio(java.lang.String indDomicilio)

    - #### getIndResidenza

          public java.lang.String getIndResidenza()

    - #### setIndResidenza

          public void setIndResidenza(java.lang.String indResidenza)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)